<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Instant World</title>
    <link rel="stylesheet" type="text/css" href="style.css">
    <script type="module" src="js/index.js"></script>
    <!-- TODO: remove the rest of *.js after resolving ISSUE(0) -->
    <script type="text/javascript" src="js/Algebra.js"></script>
    <script type="text/javascript" src="js/Ray.js"></script>
    <script type="text/javascript" src="js/cfg.js"></script>
    <script type="text/javascript" src="js/Utility.js"></script>
    <template id="login">
        <form>
            <label for="name">name:</label>
            <input type="text" name="name" id="name" value="a" /><br />
    
            <label for="url">url:</label>
            <input type="url" name="url" id="url" value="ws://127.0.0.1:50000" /><br />
    
            <button type="button" id="join_server_button">Join Server</button>
            <button type="button" id="stop_server_button">Stop Server</button>
        </form>
        <a href="#">AssetsGen(not implemented)</a>
    </template>
    <template id="run">
        <canvas></canvas>
        <span id="status"></span><br />
        <span id="info"></span>
    </template>
    <template id="stop">
        <p>sending close request ...</p>
    </template>
    <template id="assets_gen">
        <form>
            <label for="name">assets name:</label>
            <input type="url" id="name" value="Default" /><br />
            <label for="url">assets url:</label>
            <input type="url" id="url" value="assets/assets.json" /><br />
        </label>
        </form>
        <br />
        <table id="table">
        </table>
    </template>
</head>
<body>
</body>
</html>
